Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 80121

Summary: Kernel Oops VM
Product: [Retired] Red Hat Linux Reporter: Christopher Kuske <chris>
Component: kernelAssignee: Arjan van de Ven <arjanv>
Status: CLOSED WONTFIX QA Contact: Brian Brock <bbrock>
Severity: high Docs Contact:
Priority: medium    
Version: 7.3   
Target Milestone: ---   
Target Release: ---   
Hardware: athlon   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-09-30 15:40:18 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Christopher Kuske 2002-12-20 08:21:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705)

Description of problem:
Running the 2.4.18-5 kernel on a 950 MHz Athlon with 1GB of RAM running 
Tomcat, Apache, Sendmail, and MySQL, I encountered a kernel panic while 
running 'apt-get update' then 'apt-get upgrade', using the apt-rpm packages.  
The download was completed, and while running the rpm -U command, a 
Segmentation Fault occurred.

I tried one more time, and the computer completely froze, and did not respond 
on any ports, or through pinging.  I did not have keyboard access at the time.

About 350MB of memory was cached, and about 6MB of swap used.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Ran a production server with all updates, with 45 day uptime.
    

Actual Results:  A hard lockup of the system.

Expected Results:  No panics

Additional info: oops from kernel:

Dec 19 11:55:30 buster kernel: Unable to handle kernel NULL pointer 
dereference at virtual address 00000002
Dec 19 11:55:30 buster kernel:  printing eip:
Dec 19 11:55:30 buster kernel: c012f34c
Dec 19 11:55:30 buster kernel: *pde = 00000000
Dec 19 11:55:30 buster kernel: Oops: 0002
Dec 19 11:55:30 buster kernel: loop 8139too mii ide-cd cdrom usb-uhci usbcore 
ext3 jbd  
Dec 19 11:55:30 buster kernel: CPU:    0
Dec 19 11:55:30 buster kernel: EIP:    0010:[<c012f34c>]    Not tainted
Dec 19 11:55:30 buster kernel: EFLAGS: 00010083
Dec 19 11:55:30 buster kernel: 
Dec 19 11:55:30 buster kernel: EIP is at __kmem_cache_shrink_locked [kernel] 
0x1c (2.4.18-5)
Dec 19 11:55:30 buster kernel: eax: f7fd0140   ebx: f7fd0130   ecx: df263020   
edx: 00000002
Dec 19 11:55:30 buster kernel: esi: 00000e99   edi: 00000000   ebp: 000000fd   
esp: f7fcdf94
Dec 19 11:55:30 buster kernel: ds: 0018   es: 0018   ss: 0018
Dec 19 11:55:30 buster kernel: Process kswapd (pid: 5, stackpage=f7fcd000)
Dec 19 11:55:30 buster kernel: Stack: f7fd0130 00000425 c012f3e4 f7fd0130 
000001d0 c0131d6c f7fd0130 000001d0 
Dec 19 11:55:30 buster kernel:        000001d0 f7fcc000 00000000 00000000 
00000000 c02cfb40 0000022a 00000100 
Dec 19 11:55:30 buster kernel:        c0132061 000001d0 00000000 00010f00 
f7ffffb8 c0105000 0008e000 c0107136 
Dec 19 11:55:30 buster kernel: Call Trace: [<c012f3e4>] kmem_cache_shrink 
[kernel] 0x34 
Dec 19 11:55:30 buster kernel: [<c0131d6c>] do_try_to_free_pages [kernel] 0x1c 
Dec 19 11:55:30 buster kernel: [<c0132061>] kswapd [kernel] 0x101 
Dec 19 11:55:30 buster kernel: [<c0105000>] stext [kernel] 0x0 
Dec 19 11:55:30 buster kernel: [<c0107136>] kernel_thread [kernel] 0x26 
Dec 19 11:55:30 buster kernel: [<c0131f60>] kswapd [kernel] 0x0 
Dec 19 11:55:30 buster kernel: 
Dec 19 11:55:30 buster kernel: 
Dec 19 11:55:30 buster kernel: Code: 89 02 fb 51 46 53 e8 79 fb ff ff 5a 59 fa 
8b 43 40 85 c0 75 
Dec 19 11:56:05 buster kernel:  <1>Unable to handle kernel paging request at 
virtual address 636f6c6c
Dec 19 11:56:05 buster kernel:  printing eip:
Dec 19 11:56:05 buster kernel: c014baf4
Dec 19 11:56:05 buster kernel: *pde = 00000000
Dec 19 11:56:05 buster kernel: Oops: 0000
Dec 19 11:56:05 buster kernel: loop 8139too mii ide-cd cdrom usb-uhci usbcore 
ext3 jbd  
Dec 19 11:56:05 buster kernel: CPU:    0
Dec 19 11:56:05 buster kernel: EIP:    0010:[<c014baf4>]    Not tainted
Dec 19 11:56:05 buster kernel: EFLAGS: 00010207
Dec 19 11:56:05 buster kernel: 
Dec 19 11:56:05 buster kernel: EIP is at d_lookup [kernel] 0x64 (2.4.18-5)
Dec 19 11:56:05 buster kernel: eax: f7e00000   ebx: 636f6c5c   ecx: 00000011   
edx: 002874cd
Dec 19 11:56:05 buster kernel: esi: c4ce6440   edi: 0001ffff   ebp: 636f6c6c   
esp: ed2e1e90
Dec 19 11:56:05 buster kernel: ds: 0018   es: 0018   ss: 0018
Dec 19 11:56:05 buster kernel: Process rpm (pid: 10656, stackpage=ed2e1000)
Dec 19 11:56:05 buster kernel: Stack: f7ed21f8 dfe55020 002874cd 00000003 
dfe55020 c4ce6440 ed2e1f48 ed2e1f00 
Dec 19 11:56:05 buster kernel:        c0143010 e3cc45c0 ed2e1f00 dfe55020 
c0143873 e3cc45c0 ed2e1f00 00000000 
Dec 19 11:56:05 buster kernel:        00000009 00000000 dfe55023 00000000 
00000000 00000000 d3d540c0 00000246 
Dec 19 11:56:05 buster kernel: Call Trace: [<c0143010>] cached_lookup [kernel] 
0x10 
Dec 19 11:56:05 buster kernel: [<c0143873>] link_path_walk [kernel] 0x663 
Dec 19 11:56:05 buster kernel: [<c0127ce5>] vm_enough_memory [kernel] 0x35 
Dec 19 11:56:05 buster kernel: [<c0142dee>] getname [kernel] 0x5e 
Dec 19 11:56:05 buster kernel: [<c0143dcb>] path_lookup [kernel] 0x1b 
Dec 19 11:56:05 buster kernel: [<c0144024>] __user_walk [kernel] 0x24 
Dec 19 11:56:05 buster kernel: [<c0140757>] vfs_stat [kernel] 0x17 
Dec 19 11:56:05 buster kernel: [<c0140d01>] sys_stat64 [kernel] 0x11 
Dec 19 11:56:05 buster kernel: [<c0127eb5>] sys_brk [kernel] 0xc5 
Dec 19 11:56:05 buster kernel: [<c01154a0>] do_page_fault [kernel] 0x0 
Dec 19 11:56:05 buster kernel: [<c0108a04>] error_code [kernel] 0x34 
Dec 19 11:56:05 buster kernel: [<c0108913>] system_call [kernel] 0x33 
Dec 19 11:56:05 buster kernel: 
Dec 19 11:56:05 buster kernel: 
Dec 19 11:56:05 buster kernel: Code: 8b 6d 00 39 53 44 0f 85 80 00 00 00 8b 44 
24 24 39 43 0c 75 
Dec 19 11:56:19 buster kernel:  <1>Unable to handle kernel paging request at 
virtual address 636f6c6c
Dec 19 11:56:19 buster kernel:  printing eip:
Dec 19 11:56:19 buster kernel: c014baf4
Dec 19 11:56:19 buster kernel: *pde = 00000000
Dec 19 11:56:19 buster kernel: Oops: 0000
Dec 19 11:56:19 buster kernel: loop 8139too mii ide-cd cdrom usb-uhci usbcore 
ext3 jbd  
Dec 19 11:56:19 buster kernel: CPU:    0
Dec 19 11:56:19 buster kernel: EIP:    0010:[<c014baf4>]    Not tainted
Dec 19 11:56:19 buster kernel: EFLAGS: 00010207
Dec 19 11:56:19 buster kernel: 
Dec 19 11:56:19 buster kernel: EIP is at d_lookup [kernel] 0x64 (2.4.18-5)
Dec 19 11:56:19 buster kernel: eax: f7e00000   ebx: 636f6c5c   ecx: 00000011   
edx: 002874cd
Dec 19 11:56:19 buster kernel: esi: c4ce6440   edi: 0001ffff   ebp: 636f6c6c   
esp: ed2e1e90
Dec 19 11:56:19 buster kernel: ds: 0018   es: 0018   ss: 0018
Dec 19 11:56:19 buster kernel: Process rpm (pid: 10658, stackpage=ed2e1000)
Dec 19 11:56:19 buster kernel: Stack: f7ed21f8 ec883020 002874cd 00000003 
ec883020 c4ce6440 ed2e1f48 ed2e1f00 
Dec 19 11:56:19 buster kernel:        c0143010 e3cc45c0 ed2e1f00 ec883020 
c0143873 e3cc45c0 ed2e1f00 00000000 
Dec 19 11:56:19 buster kernel:        00000009 00000000 ec883023 00000000 
00000000 00000000 d3d540c0 00000246 
Dec 19 11:56:19 buster kernel: Call Trace: [<c0143010>] cached_lookup [kernel] 
0x10 
Dec 19 11:56:19 buster kernel: [<c0143873>] link_path_walk [kernel] 0x663 
Dec 19 11:56:19 buster kernel: [<c0127ce5>] vm_enough_memory [kernel] 0x35 
Dec 19 11:56:19 buster kernel: [<c0142dee>] getname [kernel] 0x5e 
Dec 19 11:56:19 buster kernel: [<c0143dcb>] path_lookup [kernel] 0x1b 
Dec 19 11:56:19 buster kernel: [<c0144024>] __user_walk [kernel] 0x24 
Dec 19 11:56:19 buster kernel: [<c0140757>] vfs_stat [kernel] 0x17 
Dec 19 11:56:19 buster kernel: [<c0140d01>] sys_stat64 [kernel] 0x11 
Dec 19 11:56:19 buster kernel: [<c0127eb5>] sys_brk [kernel] 0xc5 
Dec 19 11:56:19 buster kernel: [<c01154a0>] do_page_fault [kernel] 0x0 
Dec 19 11:56:19 buster kernel: [<c0108a04>] error_code [kernel] 0x34 
Dec 19 11:56:19 buster kernel: [<c0108913>] system_call [kernel] 0x33 
Dec 19 11:56:19 buster kernel: 
Dec 19 11:56:19 buster kernel: 
Dec 19 11:56:19 buster kernel: Code: 8b 6d 00 39 53 44 0f 85 80 00 00 00 8b 44 
24 24 39 43 0c 75 
Dec 19 11:58:02 buster kernel:  <1>Unable to handle kernel NULL pointer 
dereference at virtual address 0000001e
Dec 19 11:58:02 buster kernel:  printing eip:
Dec 19 11:58:02 buster kernel: c014baf4
Dec 19 11:58:02 buster kernel: *pde = 00000000
Dec 19 11:58:02 buster kernel: Oops: 0000
Dec 19 11:58:02 buster kernel: loop 8139too mii ide-cd cdrom usb-uhci usbcore 
ext3 jbd  
Dec 19 11:58:02 buster kernel: CPU:    0
Dec 19 11:58:02 buster kernel: EIP:    0010:[<c014baf4>]    Not tainted
Dec 19 11:58:02 buster kernel: EFLAGS: 00010203
Dec 19 11:58:02 buster kernel: 
Dec 19 11:58:02 buster kernel: EIP is at d_lookup [kernel] 0x64 (2.4.18-5)
Dec 19 11:58:02 buster kernel: eax: f7e00000   ebx: 0000000e   ecx: 00000011   
edx: 9bf0220d
Dec 19 11:58:02 buster kernel: esi: df63a2c0   edi: 0001ffff   ebp: 0000001e   
esp: c3473ed8
Dec 19 11:58:02 buster kernel: ds: 0018   es: 0018   ss: 0018
Dec 19 11:58:02 buster kernel: Process rpmd (pid: 10661, stackpage=c3473000)
Dec 19 11:58:02 buster kernel: Stack: f7eff970 d69a801c 9bf0220d 0000000e 
00000000 df63a2c0 dac9d7c0 c3473f8c 
Dec 19 11:58:02 buster kernel:        c0143010 df63a2c0 c3473f8c 00000000 
c0143f42 df63a2c0 c3473f8c 00000000 
Dec 19 11:58:02 buster kernel:        df63a2c0 df63a2c0 000080c3 c3473f84 
c0144217 c3473f8c df63a2c0 00000000 
Dec 19 11:58:02 buster kernel: Call Trace: [<c0143010>] cached_lookup [kernel] 
0x10 
Dec 19 11:58:02 buster kernel: [<c0143f42>] lookup_hash [kernel] 0x42 
Dec 19 11:58:02 buster kernel: [<c0144217>] open_namei [kernel] 0xe7 
Dec 19 11:58:02 buster kernel: [<c0129169>] do_brk [kernel] 0x249 
Dec 19 11:58:02 buster kernel: [<c01397d6>] filp_open [kernel] 0x36 
Dec 19 11:58:02 buster kernel: [<c0139b14>] sys_open [kernel] 0x34 
Dec 19 11:58:02 buster kernel: [<c0108913>] system_call [kernel] 0x33 
Dec 19 11:58:02 buster kernel: 
Dec 19 11:58:02 buster kernel: 
Dec 19 11:58:02 buster kernel: Code: 8b 6d 00 39 53 44 0f 85 80 00 00 00 8b 44 
24 24 39 43 0c 75

Comment 1 acount closed by user 2003-03-01 20:46:17 UTC
could be a hardware problem?
does the system pass hardware test like memtes86 http://www.memtest86.com/ or
cpuburn http://users.ev1.net/~redelm ?


Comment 2 Bugzilla owner 2004-09-30 15:40:18 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/